
Infrastructure - Bug #1076

mn.create() not encoding PIDs correctly.

2010-11-12 22:54 - Rob Nahf

Status: Closed Start date: 2010-11-13

Priority: Urgent Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.01   

Milestone:  Story Points:  

Product Version: *   

Description

For cn/resolve testing, I try creating objects with identifiers containing different types of characters that need to be escaped to be a

path segment in a url (for the rest calls).  All escaping tests fail (disallowed ascii and non-ascii in the 1,2,3,4 byte varieties).

Looking into the code, it looks like encoding gets mangled in D1Node.createMimeMultipart().

Subtasks:

Task # 1077: pct-escaping in D1Node.java or MNode.java Closed

Task # 1078: encoding function needed for identifiers in the param section of urls Closed

Task # 1125: mn.create() returning 400 error for escaped identifiers Closed

Task # 1153: Include identifier test set in GMN tests Rejected

Related issues:

Blocked by Infrastructure - Bug #1107: Hudson has dependency problem in d1_li... Closed

History

#1 - 2010-11-12 22:57 - Rob Nahf

- Position set to 1

#2 - 2010-11-13 09:34 - Rob Nahf

- Status changed from New to In Progress

- Assignee set to Rob Nahf

#3 - 2010-11-22 17:33 - Dave Vieglais

- Position set to 31

- Target version changed from Sprint-2010.46 to Sprint-2010.47

- Position deleted (21)

#4 - 2010-11-30 17:55 - Rob Nahf

- Position deleted (29)

- Position set to 2

- Target version changed from Sprint-2010.47 to Sprint-2010.48

#5 - 2010-12-02 16:55 - Rob Nahf

Still getting errors on create after a series of upgrades to libclient error handling by Chad.   The return from the http request is an error 400 - bad

request.  Need to look at how metacat handles unicode.

#6 - 2010-12-06 16:57 - Rob Nahf

- Status changed from In Progress to Closed

#7 - 2010-12-06 17:01 - Rob Nahf
- Status changed from Closed to In Progress

#8 - 2010-12-13 18:34 - Dave Vieglais

- Target version changed from Sprint-2010.48 to Sprint-2010.50

- Position deleted (36)

- Position set to 5

#9 - 2011-01-03 02:09 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.01

#10 - 2011-01-04 22:28 - Rob Nahf

- Subject changed from mn.create() not encoding identifiers (guids) correctly. to mn.create() not encoding PIDs correctly.

#11 - 2011-01-10 17:28 - Rob Nahf

- Status changed from In Progress to Closed

integration tests D1ClientTests work against PIDs with ascii characters.  Unicode characters will not work, and issue is deferred.
